From e51f1b13dc70798b37e9d8f4bb34664fe138dd86 Mon Sep 17 00:00:00 2001
From: Julien Rouhaud <julien.rouhaud@free.fr>
Date: Mon, 27 Mar 2023 16:18:12 +0800
Subject: [PATCH] Fix XML_CATALOG_FILES env var for Apple M1 base machines.

Author: Julien Rouhaud
Reviewed-by: FIXME
Discussion: FIXME
---
 doc/src/sgml/docguide.sgml | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/doc/src/sgml/docguide.sgml b/doc/src/sgml/docguide.sgml
index cf8c072a49..81626d51cd 100644
--- a/doc/src/sgml/docguide.sgml
+++ b/doc/src/sgml/docguide.sgml
@@ -209,9 +209,13 @@ brew install docbook docbook-xsl libxslt fop
 
    <para>
     The Homebrew-supplied programs require the following environment variable
-    to be set:
+    to be set.  For Intel based machines:
 <programlisting>
 export XML_CATALOG_FILES=/usr/local/etc/xml/catalog
+</programlisting>
+    or for Apple M1 based machines:
+<programlisting>
+export XML_CATALOG_FILES=/opt/homebrew//etc/xml/catalog
 </programlisting>
     Without it, <command>xsltproc</command> will throw errors like this:
 <programlisting>
-- 
2.37.0

